<?php

/*
 * @author  Krzysztof Bebło <krzysztof.beblo@sote.pl>
 */

class appGoogleProductCategoryPluginListener {

    public static function generateStCategory(sfEvent $event) {
    
        $event->getSubject()->attachAdminGeneratorFile('appGoogleProductCategoryPlugin', 'stCategory.yml');
        
    }

    public static function saveGoogleProductCategory(sfEvent $event)
    {
        $category = $event->getSubject()->category;

        if (!$event->getSubject()->getRequest()->hasErrors()){

            $google_product_category = $event->getSubject()->getRequestParameter('category[google_product_category]');

            $google_category = $event->getSubject()->getRequestParameter('category[google_category]');

            if ($google_product_category!="none"){

                 $category->setGoogleProductCategory($google_product_category);
            
            } else {

                 $category->setGoogleProductCategory(NULL);
            
            }

            if ($google_category!="none"){

                 $category->setGoogleCategory($google_category);
            
            } else {

                 $category->setGoogleCategory(NULL);
            
            }
            
        $category->save();

        }
    }
}