<div class="row">

    <?php
        $config_gpc = stConfig::getInstance('appGoogleProductCategoryBackend');

        if ($config_gpc->get('enable_googlecategories') == '1') {

            $culture = sfContext::getInstance()->getUser()->getCulture();

            if ($culture == 'pl_PL')
            {
                $categories = appGoogleProductCategory::$getGoogleProductCategoriesPl;
            }
            elseif ($culture == 'en_US')
            {
                $categories = appGoogleProductCategory::$getGoogleProductCategoriesEn;
            }

            $cat = $category->getGoogleCategory();

            echo label_for('category[google_product_category]', __('Kategorie Google', null, 'appGoogleProductCategoryBackend'), '');

            echo '<div class="field">';

            echo select_tag('category[google_product_category]', options_for_select($categories, !$category->getGoogleProductCategory() ? $config_gpc->get('main_category') : $category->getGoogleProductCategory()), array("style"=>'width: 600px; margin-top: 10px;'));


            echo '<div style="margin-top: 10px;">';
            echo select_tag('category[google_category]', options_for_select($categories,$category->getGoogleCategory()), array("style"=>'width: 600px; margin-top: 10px;'));
            echo '</div>';

             echo '</div>';

        } else {

            echo input_hidden_tag('category[google_product_category]', $category->getGoogleProductCategory(), array('id' => 'category_google_product_category'));

            echo input_hidden_tag('category[google_category]', $category->getGoogleCategory(), array('id' => 'category_google_category'));

        }

    ?>

</div>

<script type="text/javascript">
jQuery(function($) {

    var select = $('#category_google_product_category');

    var subSelect = $('#category_google_category');

    var subCat = '<?php echo $cat ?>';

    if (select.val() == 'none') {
        
        subSelect.hide();
        subSelect.trigger("chosen:updated");

    } else {

        subSelect.show();
        subSelect.trigger("chosen:updated");
    }

    if (select.val() != 'none') {
        $.get('<?php echo st_url_for('appGoogleProductCategoryBackend/loadCategories') ?>', { 'id': select.val() }, function(response) {
            
            var options = '';

            $.each(response, function() {
                if (this.id == subCat) {
                    options += '<option value="'+ this.id +'" selected>'+this.label+'</option>';
                } else {
                    options += '<option value="'+ this.id +'">'+this.label+'</option>';
                }
            });

            subSelect.html(options);
            subSelect.trigger("chosen:updated");

        });
    }

    


    $('#category_google_product_category').change(function() {
        var select = $(this);

        var subSelect = $('#category_google_category');

        if (select.val() == 'none') {
        
            subSelect.hide();
            subSelect.trigger("chosen:updated");
            
        } else {

          
            subSelect.trigger("chosen:updated");

        }

        if (select.val() != 'none') {
            $.get('<?php echo st_url_for('appGoogleProductCategoryBackend/loadCategories') ?>', { 'id': select.val() }, function(response) {
                
                var options = '';

                $.each(response, function() {
                    options += '<option value="'+ this.id +'">'+this.label+'</option>';
                });

                subSelect.html(options);
                subSelect.trigger("chosen:updated");
            });
        }
    });
});

</script>