<?php 
use_helper('I18N', 'stAdminGenerator', 'stJQueryTools');
echo st_get_admin_head('appGoogleProductCategoryPlugin', __('Konfiguracja'), array(), array('stConfigurationPlugin')); 
st_view_slot_start('application-menu');
st_include_partial('appGoogleProductCategoryBackend/config_menu'); 
st_view_slot_end();
?>

<div id="sf_admin_content" class="admin-content-edit">
<?php if ($sf_flash->has('notice')): ?>
    <div class="save-ok">
        <h2><?php echo $sf_flash->get('notice') ?></h2>
    </div>
<?php endif; ?>
<?php echo form_tag('appGoogleProductCategoryBackend/index?culture='.$config->getCulture(), array('id' => 'admin_config_form', 'name' => 'admin_config_form', 'class' => 'admin_form'));?>
    <fieldset>
        <div class="content">
            <div class="row">
                <?php echo label_for('googlecategories[enable_googlecategories]', __('Włącz'), '') ?>
                <div class="field"><?php echo st_admin_checkbox_tag('googlecategories[enable_googlecategories]',true,$config->get('enable_googlecategories')) ?></div>
                <div class="clr"></div>
            </div>
            <div class="row">
                <?php echo label_for('googlecategories[main_category]', __('Domyślna kategoria'), '') ?>
                <div class="field"><?php echo select_tag('googlecategories[main_category]', options_for_select($categories, $config->get('main_category'))) ?></div>
                <div class="clr"></div>
            </div>
        </div>
    </fieldset>
    <div id="config_actions">
    <?php echo st_get_admin_actions_head() ?>
        <?php echo st_get_admin_action('save', __('Zapisz', null, 'stAdminGeneratorPlugin'), null, array('name' => 'save')) ?>
    <?php echo st_get_admin_actions_foot() ?>
    </div>
</form>
</div>
<?php echo st_get_admin_foot() ?>
<script type="text/javascript">
jQuery(function($) {

    $(document).ready(function() {
        $('#config_actions').stickyBox();
        fieldsetVisibility();
    });

});
</script>